#!/bin/bash
#
# build.sh -- build entire web site
# 
# Copyright (C) 2005,2006  Josef Kufner <jk@myserver.cz>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# 

# config
dest="../html/"		# destination directory
M4="m4 -P"		# m4's binary
log="build.log"		# log's filename
echo=echo		# "echo" or "true"

# code
echo -n >"$log"

# check included files
if [ "$1" == "all" ] 
then
	all=true
else
	all=false
	for f in base.m4 menu.m4
	do
		[ "$f" -nt ".last_build_timestamp" ] && all=true
	done
fi
touch ".last_build_timestamp"
	
# process m4 files
for s in *.*.m4
do
	t="$dest${s%.m4}"
	if $all || [ "$t" -ot "$s" ] 
	then
		$echo "\`$s' -> \`$t'"
		$M4 base.m4 "$s" >"$t" 2>>"$log"
	fi
done

IFS='
'

grep '^RequireFile:' "$log" \
| while read -r f
do
	s="${f#RequireFile:}"
	d="$dest$s"
	[ "$d" -nt "$s" ] || cp -va "$s" "$d"
done

#rm -f "$log"

