/*
 * style.css
 * Josef Kufner <jk@myserver.cz>
m4_divert(-1)
# vim:filetype=css:

m4_define(`color_fg', `#000')
m4_define(`color_bg', `#fff')
m4_define(`color_border', `#77f')
m4_define(`color_border_light', `#ccf')

m4_define(`font_normal', `11pt')
m4_define(`font_small', `9pt')

m4_divert *
 */
body {
	margin: 3em 22em 4em 3em;
	color: color_fg;
	background-color: color_bg;
	font-size: font_normal;
}

h1 {
	border-bottom: 1px solid color_border;
	margin: 0px;
}

ul {
	list-style: square;
	padding: 0px 0px 0px 2em;
	margin: 4pt 0px;
}

li {
	padding: 0px;
	margin: 4pt 0px;
}

dl {
}
dt {
	font-weight: bold;
	margin-top: font_normal;
}
dd {
	margin-bottom: font_normal;
}

table {
	border-collapse: collapse;
	width: 100%;
}
td, th {
	text-align: left;
	vertical-align: top;
	border: 1px solid color_border_light;
	padding: 2pt;
}
th {
	font-weight: bold;
}
td.number {
	text-align: right;
	white-space: nowrap;
}
td.spacer {
	border: none;
}
td.sign {
	text-align: center;
}

a img {
	border: none;
}

.navigation {
	position: absolute;
	top: 3em;
	right: 3em;
	margin: 0px;
	padding: 0px 10pt 20pt 10pt;
	width: 15em;

	border-left: 1px solid color_border;
	border-bottom: 1px solid color_border;
}
.navigation * {
	font-size: font_small;
}
.navigation h2 {
	font-size: 14pt;
	margin: 18pt 0px 6pt 0px;
}
.navigation ul {
	display: block;
	list-style: none;
	padding: 0px;
}
.navigation ul li ul {
	list-style: square;
	padding: 0px 0px 0px 2em;
}

.foot, .top {
	padding: 2pt 4pt;
	font-size: font_small;
}
.foot {
	margin: 20pt 0px 30pt 0px;
	border-top: 1px solid color_border;
}
.top {
	margin: 0px;
	border-bottom: 1px solid color_border;
}
.foot hr {
	display: none;
}
.top  .prev span, .top  .next span,
.foot .prev span, .foot .next span {
	display: none;
}
.foot .prev, .top .prev {
	text-align: left;
}
.foot .next, .top .next {
	width: 50%;
	float: right;
	text-align: right;
}
.top .prev a:before,
.foot .prev a:before {
	content: '<< ';
}
.top .next a:after,
.foot .next a:after {
	content: ' >>';
}

